<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <title>Grands dragons de Barsaive</title>
  </head>
  <body>

<style>
#chartdiv {
  width: 100%;
height:550px;
}
</style>

<!-- Resources -->
<script src="https://cdn.amcharts.com/lib/4/core.js"></script>
<script src="https://cdn.amcharts.com/lib/4/charts.js"></script>
<script src="https://cdn.amcharts.com/lib/4/plugins/forceDirected.js"></script>
<script src="https://cdn.amcharts.com/lib/4/themes/animated.js"></script>

<!-- Chart code -->
<script>
am4core.ready(function() {

// Themes begin
am4core.useTheme(am4themes_animated);
// Themes end

var chart = am4core.create("chartdiv", am4plugins_forceDirected.ForceDirectedTree);

var networkSeries = chart.series.push(new am4plugins_forceDirected.ForceDirectedSeries())
networkSeries.dataFields.linkWith = "linkWith";
networkSeries.dataFields.name = "name";
networkSeries.dataFields.id = "name";
networkSeries.dataFields.value = "value";
networkSeries.dataFields.children = "children";

networkSeries.nodes.template.label.text = "{name}"
networkSeries.fontSize = 8;
networkSeries.linkWithStrength = 0;

var nodeTemplate = networkSeries.nodes.template;
nodeTemplate.tooltipText = "{name}";
nodeTemplate.fillOpacity = 1;
nodeTemplate.label.hideOversized = true;
nodeTemplate.label.truncate = true;

var linkTemplate = networkSeries.links.template;
linkTemplate.strokeWidth = 1;
var linkHoverState = linkTemplate.states.create("hover");
linkHoverState.properties.strokeOpacity = 1;
linkHoverState.properties.strokeWidth = 2;

nodeTemplate.events.on("over", function (event) {
    var dataItem = event.target.dataItem;
    dataItem.childLinks.each(function (link) {
        link.isHover = true;
    })
})

nodeTemplate.events.on("out", function (event) {
    var dataItem = event.target.dataItem;
    dataItem.childLinks.each(function (link) {
        link.isHover = false;
    })
})

networkSeries.data = [
{
  'name': "Logolas ♂️🌐",
  'value':1,
},
{
  'name': "All-Wings ♀️💀",
  'value':2,
  'linkWith':[ ],
  'children':[
    {
	  'name': "Mountainshadow ♂️",
	  'value':6,
	},
	{
	  'name': "Icewing ♂️",
      'linkWith':[ "Yuichotol ♀️💀", ],
	  'value':6,
	},
  ],
},
{
  'name': "?",
  'value':1,
  'linkWith':[ ],
  'children':[
    {
	  'name': "Alamais ♂️",
	  'value':4,
	},
    {
	  'name': "Lofwyr ♂️🌐",
	  'value':2,
	},
  ],
},
{
  'name': "Cloudtamer ♂️💀",
  'value':2,
  'children':[
    {
	  'name': "Aban ♀️",
	  'value':5,
	},
  ],
},
{
  'name': "Yuichotol ♀️💀",
  'value':2,
  'children':[
    {
	  'name': "Vasdenjas ♂️",
	  'value':5,
      'linkWith':[ "Thermail ♀️💀", ],
	},
	{
	  'name': "Vestrivan ♂️",
	  'value':2,
	},
  ]
},
{
  'name': "Thermail ♀️💀",
  'value':2,
},
{
  'name': "Earthroot ♂️",
  'value':4,
},
{
  'name': "Usun ♂️",
  'value':4,
  'children':[
    {
	  'name': "Nightsky ♂️",
	  'value':2,
      'linkWith':[ "Asante ♀️", ],
	},
  ],
},
{
  'name': "Redwing ♂️💀",
  'value':1,
  'children':[
    {
	  'name': "Asante ♀️",
	  'value':2,
      'linkWith':[ "Nightsky ♂️", ],
	},
  ],
},
{
  'name': "Charcoalgrin ♀️",
  'value':4,
},
{
  'name': "Wavedancer ♀️",
  'value':2,
},
{
  'name': "Luung ♂️🌐",
  'value':1,
},
{
  'name': "Dvilgaynon ♀️ (🌐)",
  'value':2,
},
{
  'name': "Mole Skin 🌐",
  'value':1,
},

];


}); // end am4core.ready()
</script>

<!-- HTML -->
<div id="chartdiv"></div>
<p>
<strong>Légende :</strong>
<ul>
  <li>Les bulles de la même couleur représentent des dragons de la même « famille ». <br />
  <em><strong>Rappel :</strong> Sauf exception, les « familles » de dragons sont davantage définis par une relation « mentor / élève » que « parent / enfant ».</em>
  </li>
  <li>Un cercle autour d'une bulle représente le mentor du (ou des) dragon(s) de la même couleur.</li>
  <li>Deux dragons de couleurs différentes reliés par un trait représentent deux dragons plus proches que la moyenne.</li>
  <li>♀️ représente un dragon femelle, ♂️ représente un dragon mâle.</li>
  <li>💀 représente un dragon déjà décédé au début du Châtiment.</li>
  <li>🌐 représente un dragon vivant très loin de Barsaive.</li>
  <li>La taille des bulles n'est qu'un indicateur subjectif de l'implication du dragon dans la gamme Earthdawn.</li>
</ul>
</p>
<p>
<strong>Notes :</strong>
<br/>Tous ces dragons ont le statut de « Grand » dragon, hormis Asante et Nightsky.
<br/>Ça n'est pas parce que quelque chose n'est pas indiqué sur ce diagramme que ça n'existe pas.
</p>





</body>
